clang-tools 10.0.0

Namespaces
DefineOutline.cpp File Reference
`#include "AST.h"`
`#include "FindTarget.h"`
`#include "HeaderSourceSwitch.h"`
`#include "Logger.h"`
`#include "ParsedAST.h"`
`#include "Path.h"`
`#include "Selection.h"`
`#include "SourceCode.h"`
`#include "refactor/Tweak.h"`
`#include "clang/AST/ASTTypeTraits.h"`
`#include "clang/AST/Attr.h"`
`#include "clang/AST/Decl.h"`
`#include "clang/AST/DeclBase.h"`
`#include "clang/AST/DeclCXX.h"`
`#include "clang/AST/DeclTemplate.h"`
`#include "clang/AST/Stmt.h"`
`#include "clang/Basic/SourceLocation.h"`
`#include "clang/Basic/SourceManager.h"`
`#include "clang/Basic/TokenKinds.h"`
`#include "clang/Driver/Types.h"`
`#include "clang/Format/Format.h"`
`#include "clang/Lex/Lexer.h"`
`#include "clang/Tooling/Core/Replacement.h"`
`#include "clang/Tooling/Syntax/Tokens.h"`
`#include "llvm/ADT/None.h"`
`#include "llvm/ADT/Optional.h"`
`#include "llvm/ADT/STLExtras.h"`
`#include "llvm/ADT/StringRef.h"`
`#include "llvm/Support/Casting.h"`
`#include "llvm/Support/Error.h"`
`#include <cstddef>`
`#include <string>`
Include dependency graph for DefineOutline.cpp:

Go to the source code of this file.

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::clangd

## Variable Documentation

## ◆ EnclosingNamespace

std::string EnclosingNamespace

Definition at line 278 of file DefineOutline.cpp.

## ◆ Offset

size_t Offset

Definition at line 279 of file DefineOutline.cpp.